{ config, lib, pkgs, ... }:
{
  imports = [
    ./common
  ];

  config = {
    system.stateVersion = "22.11";

    nix.nixPath = [
      "nixpkgs=/nix/var/nix/profiles/per-user/root/channels/nixos"
      "nixos-config=/etc/nixos/configuration.nix"
      "hardware-config=/etc/nixos/hardware-configuration.nix"
      "/nix/var/nix/profiles/per-user/root/channels"
    ];

  } 
  # also pull in all of the qemu-vm profile which will be the basis of the live config
  // (builtins.removeAttrs (import ./profiles/qemu-vm {inherit lib;}) [ "deployment" ]);
} 
