{pkgs,...}:
{
  imports = [
    (toString ../../common)
  ];
  config = {
    environment.systemPackages = with pkgs; [ bridge-utils ];
    programs.neovim.enable = true;
    programs.neovim.vimAlias = true;
    programs.neovim.viAlias = true;

    system.stateVersion = "22.11";
  };
}
